# AIEventVehicleLost Class Reference

Event Vehicle Lost, indicating a vehicle can't find its way to its destination. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventVehicleLost:

## Public Member Functions
| AIEventVehicleLost (VehicleID vehicle_id)
VehicleID | GetVehicleID ()
| Get the VehicleID of the vehicle that is lost.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.
static AIEventVehicleLost * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
VehicleID | vehicle_id

## Detailed Description

Event Vehicle Lost, indicating a vehicle can't find its way to its destination.

Definition at line 500 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventVehicleLost::AIEventVehicleLost | ( | VehicleID | vehicle_id | ) | `[inline]`

Parameters:

  | vehicle_id | The vehicle that is lost.

Definition at line 508 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventVehicleLost* AIEventVehicleLost::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 518 of file ai_event_types.hpp.

static const char* AIEventVehicleLost::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIEvent.

Definition at line 503 of file ai_event_types.hpp.

VehicleID AIEventVehicleLost::GetVehicleID | ( |  | ) | `[inline]`

Get the VehicleID of the vehicle that is lost.

Returns:
  The VehicleID of the vehicle that is lost.

Definition at line 524 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp